aboutsummaryrefslogtreecommitdiffstats
path: root/brp-strip
diff options
context:
space:
mode:
Diffstat (limited to 'brp-strip')
-rwxr-xr-xbrp-strip13
1 files changed, 13 insertions, 0 deletions
diff --git a/brp-strip b/brp-strip
new file mode 100755
index 0000000..6f0388c
--- /dev/null
+++ b/brp-strip
@@ -0,0 +1,13 @@
+#!/bin/sh
+# If using normal root, avoid changing anything.
+if [ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ]; then
+ exit 0
+fi
+
+# Strip ELF binaries
+for f in `find $RPM_BUILD_ROOT -type f \( -perm -0100 -or -perm -0010 -or -perm -0001 \) -exec file {} \; | \
+ grep -v "^${RPM_BUILD_ROOT}/\?usr/lib/debug" | \
+ grep -v ' shared object,' | \
+ sed -n -e 's/^\(.*\):[ ]*ELF.*, not stripped/\1/p'`; do
+ strip -g $f || :
+done